Как установить плагин сочетаний клавиш на CodeBlocks 17.12?

Прежде всего, этот вопрос не является дубликатом этого вопроса: Изменить сочетания клавиш для кодовых блоков в Ubuntu Linux

У меня Ubuntu 18.04 установлен на VMWare Workstation 15 Player. Я установил Codeblocks с помощью этой команды:

sudo apt install codeblocks

Однако затем я обновил его до версии 17.12, используя это:

wget http://sourceforge.net/projects/codeblocks/files/Binaries/17.12/Linux/Debian%20stable/codeblocks_17.12-1_amd64_stable.tar.xz

И затем я следовал за шагами на этом сайте.

Теперь у меня нет плагина Keyboard Shortcuts, поэтому я не могу установить какие-либо сочетания клавиш. Поэтому я попытался установить его следующим образом:

sudo apt-get install codeblocks-contrib

Но это приводит к ошибке:

The following packages have unmet dependencies:
 codeblocks-contrib : Depends: codeblocks (= 16.01+dfsg-2.1) but 17.12-1 is to be installed
                      Depends: libwxsmithlib0 (= 16.01+dfsg-2.1) but 17.12-1 is to be installed
                      Recommends: valgrind but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Можно ли каким-то образом установить плагин для сочетаний клавиш и при этом сохранить версию 17.12 или должен понизить рейтинг? Где некоторые бинарные файлы для этого плагина?

0
задан 14 October 2019 в 21:05

0 ответов

Другие вопросы по тегам:

Похожие вопросы: